# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'ui/Mike_Main.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(760, 433)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.widgetFig1 = MplWidget(self.centralwidget)
        self.widgetFig1.setGeometry(QtCore.QRect(330, 20, 411, 381))
        self.widgetFig1.setObjectName("widgetFig1")
        self.frameParamBG = QtWidgets.QFrame(self.centralwidget)
        self.frameParamBG.setGeometry(QtCore.QRect(20, 20, 301, 381))
        self.frameParamBG.setAutoFillBackground(True)
        self.frameParamBG.setStyleSheet("")
        self.frameParamBG.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frameParamBG.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frameParamBG.setObjectName("frameParamBG")
        self.layoutWidget = QtWidgets.QWidget(self.frameParamBG)
        self.layoutWidget.setGeometry(QtCore.QRect(10, 10, 283, 214))
        self.layoutWidget.setObjectName("layoutWidget")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.layoutWidget)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.comboDevice = QtWidgets.QComboBox(self.layoutWidget)
        self.comboDevice.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.comboDevice.setSizeAdjustPolicy(QtWidgets.QComboBox.AdjustToMinimumContentsLength)
        self.comboDevice.setMinimumContentsLength(15)
        self.comboDevice.setObjectName("comboDevice")
        self.gridLayout_2.addWidget(self.comboDevice, 0, 0, 1, 3)
        self.labelTextNumInputs = QtWidgets.QLabel(self.layoutWidget)
        self.labelTextNumInputs.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.labelTextNumInputs.setObjectName("labelTextNumInputs")
        self.gridLayout_2.addWidget(self.labelTextNumInputs, 1, 0, 1, 1)
        self.labelNumInputs = QtWidgets.QLabel(self.layoutWidget)
        self.labelNumInputs.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.labelNumInputs.setObjectName("labelNumInputs")
        self.gridLayout_2.addWidget(self.labelNumInputs, 1, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(80, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem, 1, 2, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.labelChA = QtWidgets.QLabel(self.layoutWidget)
        self.labelChA.setMinimumSize(QtCore.QSize(0, 55))
        self.labelChA.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.labelChA.setObjectName("labelChA")
        self.horizontalLayout.addWidget(self.labelChA, 0, QtCore.Qt.AlignVCenter)
        self.comboChA = QtWidgets.QComboBox(self.layoutWidget)
        self.comboChA.setSizeAdjustPolicy(QtWidgets.QComboBox.AdjustToMinimumContentsLength)
        self.comboChA.setMinimumContentsLength(3)
        self.comboChA.setObjectName("comboChA")
        self.horizontalLayout.addWidget(self.comboChA, 0, QtCore.Qt.AlignVCenter)
        self.widgetFigChA = MplWidget(self.layoutWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.widgetFigChA.sizePolicy().hasHeightForWidth())
        self.widgetFigChA.setSizePolicy(sizePolicy)
        self.widgetFigChA.setMinimumSize(QtCore.QSize(180, 50))
        self.widgetFigChA.setAutoFillBackground(False)
        self.widgetFigChA.setStyleSheet("background-color: rgb(255, 255, 255);")
        self.widgetFigChA.setObjectName("widgetFigChA")
        self.horizontalLayout.addWidget(self.widgetFigChA, 0, QtCore.Qt.AlignVCenter)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.labelChB = QtWidgets.QLabel(self.layoutWidget)
        self.labelChB.setMinimumSize(QtCore.QSize(0, 55))
        self.labelChB.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.labelChB.setObjectName("labelChB")
        self.horizontalLayout_2.addWidget(self.labelChB, 0, QtCore.Qt.AlignVCenter)
        self.comboChB = QtWidgets.QComboBox(self.layoutWidget)
        self.comboChB.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.comboChB.setSizeAdjustPolicy(QtWidgets.QComboBox.AdjustToMinimumContentsLength)
        self.comboChB.setMinimumContentsLength(3)
        self.comboChB.setObjectName("comboChB")
        self.horizontalLayout_2.addWidget(self.comboChB, 0, QtCore.Qt.AlignVCenter)
        self.widgetFigChB = MplWidget(self.layoutWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.widgetFigChB.sizePolicy().hasHeightForWidth())
        self.widgetFigChB.setSizePolicy(sizePolicy)
        self.widgetFigChB.setMinimumSize(QtCore.QSize(180, 50))
        self.widgetFigChB.setObjectName("widgetFigChB")
        self.horizontalLayout_2.addWidget(self.widgetFigChB, 0, QtCore.Qt.AlignVCenter)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.verticalLayout_2.addLayout(self.verticalLayout)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.buttonStart = QtWidgets.QPushButton(self.layoutWidget)
        self.buttonStart.setObjectName("buttonStart")
        self.horizontalLayout_3.addWidget(self.buttonStart)
        self.buttonStop = QtWidgets.QPushButton(self.layoutWidget)
        self.buttonStop.setObjectName("buttonStop")
        self.horizontalLayout_3.addWidget(self.buttonStop)
        self.verticalLayout_2.addLayout(self.horizontalLayout_3)
        self.widget = QtWidgets.QWidget(self.frameParamBG)
        self.widget.setGeometry(QtCore.QRect(10, 240, 121, 52))
        self.widget.setObjectName("widget")
        self.formLayout = QtWidgets.QFormLayout(self.widget)
        self.formLayout.setContentsMargins(0, 0, 0, 0)
        self.formLayout.setObjectName("formLayout")
        self.labelWinDur = QtWidgets.QLabel(self.widget)
        self.labelWinDur.setObjectName("labelWinDur")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.labelWinDur)
        self.lineEditWinDur = QtWidgets.QLineEdit(self.widget)
        self.lineEditWinDur.setObjectName("lineEditWinDur")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.lineEditWinDur)
        self.label = QtWidgets.QLabel(self.widget)
        self.label.setObjectName("label")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label)
        self.lineEditOverlapProp = QtWidgets.QLineEdit(self.widget)
        self.lineEditOverlapProp.setObjectName("lineEditOverlapProp")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.lineEditOverlapProp)
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "Mike GUI"))
        self.labelTextNumInputs.setText(_translate("MainWindow", "Num Inputs: "))
        self.labelNumInputs.setText(_translate("MainWindow", "None"))
        self.labelChA.setText(_translate("MainWindow", "ChA"))
        self.labelChB.setText(_translate("MainWindow", "ChB"))
        self.buttonStart.setText(_translate("MainWindow", "Start"))
        self.buttonStop.setText(_translate("MainWindow", "Stop"))
        self.labelWinDur.setText(_translate("MainWindow", "Win Dur (ms)"))
        self.lineEditWinDur.setText(_translate("MainWindow", "100"))
        self.label.setText(_translate("MainWindow", "Overlap Prop"))
        self.lineEditOverlapProp.setText(_translate("MainWindow", "0.5"))
from mplwidget import MplWidget
